DSC_0036.jpg=Caught it.
DSC_0047.jpg=Up close and personal.
DSC_0026.jpg=Adam and Tricia.
DSC_0049.jpg=Adam waits for the next wave.
DSC_0068.jpg=Boys hanging together.
DSC_0044.jpg=Eyeing the camera,
DSC_0028.jpg=Seagull chaser.
DSC_0066.jpg=A familiar beach walker.
DSC_0073.jpg=Dad playing football with his son.
DSC_0061.jpg=Where's the smile?
DSC_0050.jpg=Nice top.
DSC_0074.jpg=Surf boys
DSC_0057.jpg=Mom and her children,
DSC_0053.jpg=A distant lighthouse.
DSC_0035.jpg=Off and running. Adam in the water upper right.
DSC_0040.jpg=A gaggle of beach goers.
